<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('student_lives', function (Blueprint $table) {
            $table->id();

            $table->string('main_title')->nullable();
            $table->string('background_image')->nullable();
            $table->text('text')->nullable();
            $table->longText('description')->nullable();
            $table->json('images')->nullable();
            $table->string('event_count')->nullable();
            $table->string('images_count')->nullable();


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('student_lives');
    }
};
